package com.wasu.cs.widget.videoview;

import android.content.Context;
import android.util.AttributeSet;
import android.view.SurfaceView;

/**
 * 某些设备SurfaceView存在内存泄漏，这个类处理是为了防止SurfaceView对整个context的引用导致更多的泄漏
 * 
 * @author Administrator
 *
 */
public class DummySurfaceView extends SurfaceView {

	public DummySurfaceView(Context context) {
		this(context.getApplicationContext(), null, 0);
	}
	
	public DummySurfaceView(Context context, AttributeSet attrs) {
		this(context.getApplicationContext(), attrs, 0);
	}
	
	public DummySurfaceView(Context context, AttributeSet attrs, int defStyle) {
		super(context.getApplicationContext(), attrs, defStyle);
	}

}
